<div class="row">
  <div class="col text-center">
    <h2>Pipe</h2>
  </div>
</div>
<div class="row mt-4">
  <div class="col-12">
    <h4>Date</h4>
  </div>
  <div class="col">
    <div>Valore raw</div>
    {{ today }}
  </div>
  <div class="col">
    <div>Pipe date</div>
    {{ today | date }}
  </div>
</div>
<hr>
<div class="row">
  <div class="col-12">
    <h4>Currency</h4>
  </div>
  <div class="col">
    <div>Valore raw</div>
    {{ balance }}
  </div>
  <div class="col">
    <div>Pipe currency</div>
    {{ balance | currency }}
  </div>
  <div class="col">
    <div>Pipe currency:'EUR'</div>
    {{ balance | currency:'EUR' }}
  </div>
</div>
<hr>
<div class="row">
  <div class="col-12">
    <h4>Pipe personalizzata</h4>
  </div>
  <div class="col-4">
    <div>Valore raw</div>
    {{ text }}
  </div>
  <div class="col-4">
    <div>Pipe stringLength</div>
    {{ text | stringLength }}
  </div>
  <div class="col-4">
    <div>Pipe stringLength parametrizzata (trimWhitespaces a true)</div>
    {{ text | stringLength:true }}
  </div>
  <div class="col-4 mt-3">
    <div>Pipe stringLength concatenata ad upperCase</div>
    {{ text | stringLength | uppercase }}
  </div>
</div>
<hr>
<div class="row">
  <div class="col-12">
    <h4>AsyncPipe</h4>
  </div>
  <div class="col">
    Messaggio: {{ message$ | async }}
  </div>
</div>
